package com.bonus.core.allocation.canteen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.core.allocation.canteen.model.AllocCanteen;
import com.bonus.core.allocation.canteen.vo.AllocCanteenStallVO;
import com.bonus.core.menu.vo.AppletReserveCanteenVO;

import java.util.List;

public interface AllocCanteenService extends IService<AllocCanteen> {
   List<Integer> listAvailPayTypeForApp(Long canteenId);

   List<Long> getCanteenIdListByAreaIdList(List<Long> areaIdList);

   List<AllocCanteenStallVO> listAllCanteenStall();

   void checkAndDelReserveCanteen(List<AppletReserveCanteenVO> reserveCanteenList);
}
